package cn.skcks.study.springcloud.project01.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "nacos-01-provider")
public interface Nacos01ProviderClient {
    @GetMapping("/hi")
    String hi(@RequestParam(value = "name",defaultValue = "Shikong",required = false) String name);
}
